//
// TApplication class definition
//

// [APP_HEADER_TOP]
#ifndef _Application_H
#define _Application_H
// [END_APP_HEADER_TOP]

// [APP_HEADER_INCLUDES]
#include <KCL.h>
#include "frmMain.h"
#include "frmColorPicker.h"
// [END_APP_HEADER_INCLUDES]

// [APP_CLASS]
extern const char *APP_SIG;

class TApplication: public BApplication {
  TForm *m_MainForm;
public:
  TApplication(void);
  virtual ~TApplication(void);

  virtual TForm *MainForm() const { return m_MainForm; }
  virtual void MessageReceived(BMessage *);
// [END_APP_CLASS]

// [APP_EVENTS]
// [END_APP_EVENTS]

};

// [APP_HEADER_BOTTOM]
#endif // _Application_H
// [END_APP_HEADER_BOTTOM]
