//
// frmColorPicker.cpp
// TfrmColorPicker implementation
//

#include "ColorButton.h"

// [FORM_IMPL_INCLUDES]
#include "frmColorPicker.h"
#include "frmColorPicker.fcp"
// [END_FORM_IMPL_INCLUDES]

void TfrmColorPicker::MessageReceived(BMessage *msg)
{
  switch(msg->what)
  {
    default:
      TForm::MessageReceived(msg);
      break;
  }
}

void TfrmColorPicker::FormCreate(void)
{
  m_cb = 0;
}

void TfrmColorPicker::FormDestroy(void)
{

}

void TfrmColorPicker::btnOKInvoked(void)
{
  if(m_cb)
  {
    if(m_cb->LockLooper())
    {
      m_cb->SetBGColor(ccColors->ValueAsColor());
      m_cb->UnlockLooper();
    }
  }
  Quit();
}

void TfrmColorPicker::btnCancelInvoked(void)
{
  if(m_cb)
  {
    if(m_cb->LockLooper())
    {
      m_cb->SetBGColor(m_origColor);
      m_cb->UnlockLooper();
    }
  }
  Quit();
}

void TfrmColorPicker::ccColorsChange(void)
{
  if(m_cb)
  {
    if(m_cb->LockLooper())
    {
      m_cb->SetBGColor(ccColors->ValueAsColor());
      m_cb->UnlockLooper();
    }
  }
}
