//
// Application implementation
//

// [APP_IMPL_TOP]
#include <KCL.h>
#include <Application.h>

#include "Application.h"

const char *APP_SIG = "application/x-vnd.WSFrontEnd";
// [END_APP_IMPL_TOP]

// [APP_CONSTRUCT]
TApplication::TApplication(void)
: BApplication(APP_SIG)
{
  m_MainForm = new TfrmMain();
  m_MainForm->MakeMainForm(true);
  m_MainForm->Show();
}
// [END_APP_CONSTRUCT]

// [APP_DESTRUCT]
TApplication::~TApplication(void)
{
}
// [END_APP_DESTRUCT]

void TApplication::MessageReceived(BMessage *message)
{
  switch(message->what)
  {
    default:
    {
      BApplication::MessageReceived(message);
    }
  }
}

// [APP_MAIN]
int main(void)
{
  TApplication app;
  app.Run();
  return 0;
}
// [END_APP_MAIN]
